Subject: bug#76147: android fdroid 30.0.93 requires Emacs to be compiled with libxml2

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2025 21:57:05 +0200

> Date: Sat, 08 Feb 2025 19:35:02 +0000
> From: jindam.vani--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> On 8 February 2025 19:24:17 UTC, Eli Zaretskii <[email-masked]> wrote:
> >
> >I don't see why this is considered a bug.  shr.el relies on libxml2 to
> >parse HTML, so you get this error for a good reason.
> 
> * report bug clearly states_
> Configured using: 'configure ..... --with-xml2=yes 
> * i am bit confused, doesnt
> configured and compiled
> are one and same?

The list of the features in your build, viz.:

> Configured features:
> MODULES NOTIFY INOTIFY PDUMPER SECCOMP THREADS ZLIB

clearly says libxml2 is not compiled in.  I don't know why this
happened.  Did you build this Emacs yourself, or did someone else do
that?  If you build it, I suggest looking at config.log to find the
reason, perhaps the system where Emacs was built didn't have libxml2
installed, so the build eventually omitted it.

Po Lu, can you tell how this could happen?